﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public interface IRealTimeDAL
    {

        bool DeleteRealTime();

        bool InsertRealTime(int _serverServiceId, int _status);

        bool UpdatetRealTime(int _serverServiceId, int _status);

        bool InsertHistory(DateTime _instant, int _serverServiceId, int _status);

        bool InsertRealTimeList(List<RealTime> _realTimes);

        bool InsertHistoryList(List<History> _realTimes);

        List<RealTime> GetRealTimeServer(int _serverId);

        List<RealTime> GetRealTime();

        bool CopyRealTimeToHistory();

    }
}
