﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public interface IServerDAL
    {

        Server GetServer(int _serverId);
        List<Server> GetAllServers();
        List<Server> GetAllActiveServers();

        ServerZone GetServerZone(int _serverZoneId);
        List<ServerZone> GetAllServerZones();

        bool AddServerZone(string _zone);
        bool UpdateServerZone(ServerZone _serverzone);

        bool DisableServer(string _servername);
        bool EnabledServer(string _servername);

        int AddServer(Server _server);
        int EditServer(Server _server);

    }
}
