﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public class ServerService
    {
        private int serverServiceId;
        private int serverId;
        private int serviceId;
        private int status;

        public ServerService()
        { }

        public ServerService(int _serverServiceId, int _serverId, int _serviceId)
        {
            this.serverServiceId = _serverServiceId;
            this.serverId = _serverId;
            this.serviceId = _serviceId;
            this.status = 0;
        }

        public ServerService(int _serverServiceId, int _serverId,
                             int _serviceId, int _status)
        {
            this.serverServiceId = _serverServiceId;
            this.serverId = _serverId;
            this.serviceId = _serviceId;
            this.status = _status;
        }

        // ServerServiceId
        public int ServerServiceId
        {
            get { return this.serverServiceId; }
            set { this.serverServiceId = value; }
        }

        // ServerId
        public int ServerId
        {
            get { return this.serverId; }
            set { this.serverId = value; }
        }

        // ServiceId
        public int ServiceId
        {
            get { return this.serviceId; }
            set { this.serviceId = value; }
        }
        
        // Status (0 - Inactive <-> 1 - Active)
        public int Status
        {
            get { return this.status; }
            set { this.status = value; }
        }
    }
}
