﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public class vServer
    {
        private int serverId;
        private string serverName;
        private string serverZone;
        private int currentAlarms;
        private string serverDns;
        private bool critic;
        private int totalAlarms;
        private string ip;
        private string description;
        private int ownerId;
        private string ownerName;
        private string ownerEmail;
        private string ownerPhone;
        private DateTime lastAlarm;

        public vServer()
        { }

        public vServer(int _serverId, string _servername, string _serverzone, int _currentAlarms,
                       string _serverDns, bool _critic, int _totalAlarms, string _ip, int _ownerId, string _description,
                       string _ownerName, string _ownerEmail, string _ownerPhone, DateTime _lastAlarm)
        {
            this.serverId = _serverId;
            this.serverName = _servername;
            this.serverZone = _serverzone;
            this.currentAlarms = _currentAlarms;
            this.serverDns = _serverDns;
            this.critic = _critic;
            this.totalAlarms = _totalAlarms;
            this.ip = _ip;
            this.ownerId = _ownerId;
            this.description = _description;
            this.ownerName = _ownerName;
            this.ownerEmail = _ownerEmail;
            this.ownerPhone = _ownerPhone;
            this.lastAlarm = _lastAlarm;
        }



        public int Id
        {
            get { return this.serverId; }
            set { this.serverId = value; }
        }

        public string Name
        {
            get { return this.serverName; }
            set { this.serverName = value; }
        }

        public string Zone
        {
            get { return this.serverZone; }
            set { this.serverZone = value; }
        }

        public string DNS
        {
            get { return this.serverDns; }
            set { this.serverDns = value; }
        }

        public string IP
        {
            get { return this.ip; }
            set { this.ip = value; }
        }

        public string Description
        {
            get { return this.description; }
            set { this.description = value; }
        }

        public int OwnerId
        {
            get { return this.ownerId; }
            set { this.ownerId = value; }
        }

        public string OwnerName
        {
            get { return this.ownerName; }
            set { this.ownerName = value; }
        }

        public string OwnerEmail
        {
            get { return this.ownerEmail; }
            set { this.ownerEmail = value; }
        }

        public string OwnerPhone
        {
            get { return this.ownerPhone; }
            set { this.ownerPhone = value; }
        }

        public int CurrentAlarms
        {
            get { return this.currentAlarms; }
            set { this.currentAlarms = value; }
        }

        public int TotalAlarms
        {
            get { return this.totalAlarms; }
            set { this.totalAlarms = value; }
        }

        public bool Critic
        {
            get { return this.critic; }
            set { this.critic = value; }
        }

        public DateTime LastAlarm
        {
            get { return this.lastAlarm; }
            set { this.lastAlarm = value; }
        }
    }
}
