﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Alerts.aspx.cs" Inherits="ServerMonitorWeb.Alerts.Alerts" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="subTitlePage">
        <asp:Table id="subTitleTable" runat="server">
            <asp:TableRow>
                <asp:TableCell VerticalAlign="Top" Width="200" HorizontalAlign="Center">
                   <asp:Label ID="lbTitle" runat="server" Text="Alertes"
                              Font-Bold="true" Font-Size="XX-Large" />
                </asp:TableCell><asp:TableCell>
                   <asp:Image ID="ImgLogin" runat="server" Height="60px" 
                        ImageUrl="~/img/Process-Warning.png" Width="60px" />
                </asp:TableCell><asp:TableCell runat="server" Width="150" HorizontalAlign="Center" VerticalAlign="Bottom" >
                   <asp:Label ID="subTitle" runat="server" Text="Llistat de les alertes" />
                </asp:TableCell></asp:TableRow></asp:Table></div><table>
     <tr>
         <asp:ScriptManager ID="smUpAlerts" runat="server" />
         <asp:UpdatePanel ID="upAlerts" runat="server" UpdateMode="Conditional">
         <ContentTemplate>
         <td valign="top">
            <div class="dataBindAlerts">
           <asp:GridView  ID="gridViewAlerts" runat="server" CellPadding="4" AllowSorting="true" 
                          ForeColor="#333333" GridLines="None" AutoGenerateColumns="False" AllowPaging="true"
                          OnPageIndexChanging="GViewAlerts_PageIndexChanging" PageSize="8"
                          onrowdatabound="gridViewAlerts_RowDataBound" 
                          SortedAscendingHeaderStyle-Wrap="True">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField DataField="Id" HeaderText="Id" Visible="False"  />
                        <asp:BoundField DataField="Status" HeaderText="Estat" >
                        <ItemStyle Width="60px" HorizontalAlign="Center" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Server" HeaderText="Servidor">
                        <ItemStyle Width="100px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Service" HeaderText="Servei" >
                        <ItemStyle Width="120px" />
                        </asp:BoundField>
                        <asp:BoundField DataField="Instant" HeaderText="Instant" >
                        <ItemStyle Width="140px" HorizontalAlign="Center" />
                        </asp:BoundField>
                    </Columns>
                    <EditRowStyle BackColor="#2461BF" />
                    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#EFF3FB" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F5F7FB" />
                    <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                    <SortedDescendingCellStyle BackColor="#E9EBEF" />
                    <SortedDescendingHeaderStyle BackColor="#4870BE" />
                </asp:GridView>
              </div>
            </td>
            <td class="alertDetail">
                <asp:Panel ID="AlertDetail" runat="server" Visible="false">
                <div>
                 <fieldset> 
                   <legend>Informació de la alerta</legend><table>
                        <tr>
                            <td colspan="2">
                                <p>
                                    <asp:Label ID="lbTitleInstant" runat="server" Text="Moment: " />
                                    <asp:Label ID="lbInstant" runat="server" Font-Bold="true" />
                                </p>
                            </td>
                          </tr>
                          <tr>
                            <td>
                                <p>
                                    <asp:Label ID="lbTitleServer" runat="server" Text="Servidor: " />
                                    <asp:Label ID="lbServer" runat="server" Font-Bold="true"/>
                                </p>
                            </td>
                            <td>
                                <p>
                                    <asp:Label ID="lbTitleTotalAlerts" runat="server" Text="Total Alertes del servidor: " />
                                    <asp:Label ID="lbServerAlarts" runat="server" Font-Bold="true" />
                                </p>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <p>
                                    <asp:Label ID="lbTitleService" runat="server" Text="Servei: " />
                                    <asp:Label ID="lbService" runat="server" Font-Bold="true" />
                                </p>
                            </td>
                            <td>
                                <p>
                                    <asp:Label ID="lbTitleTotalSevice" runat="server" Text="Total Alertes del servei: " />
                                    <asp:Label ID="lbServiceAlerts" runat="server" Font-Bold="true"/>
                                </p>
                            </td>
                        </tr>
                        <tr>
                            <td align="right" valign="top">
                                <p>
                                    <asp:Label ID="lbTitleResponsable" runat="server" Text="Responsable del servidor: " />
                                </p>
                            </td>
                            <td>
                                <p>
                                    <asp:Label ID="lbName" runat="server" Font-Bold="true"/>
                                </p>
                                <p>
                                    <asp:HyperLink ID="hlEmail" runat="server" />
                                </p>
                                <p>
                                    <asp:Label ID="lbTelephone" runat="server" />
                                </p>
                            </td>
                        </tr>
                        <tr>
                            <td align="right" valign="top">
                                <p>
                                    <asp:Label ID="lbTitleSolution" runat="server" Text="Solució proposada: " />
                                </p>
                            </td>
                            <td>
                                <p>
                                    <asp:Label ID="lbSolution" runat="server" />
                                </p>
                            </td>
                        </tr>
                        <tr><td colspan="2"><p></p></td></tr>
                        <tr>
                            <td colspan="2">
                                <p class="submitButton">
                                    <asp:Button ID="bReadAlert" runat="server" 
                                        Text="Llegir alerta" onclick="bReadAlert_Click"/>
                                </p>
                            </td>
                         </tr>
                      </table>
                  </fieldset>
                    </div></asp:Panel></td></ContentTemplate></asp:UpdatePanel></tr></table><asp:Label ID="empty" runat="server" Height="50" />
                </asp:Content>