﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ConfigApp.aspx.cs" Inherits="ServerMonitorWeb.Config.App.ConfigApp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div class="subTitlePage">
        <p>
           <asp:Image ID="ImgSettings" runat="server" Height="80px" 
                ImageUrl="~/img/Settings.png" Width="80px" />
           &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           <asp:Label ID="subTitle" runat="server"  Font-Size="X-Large" Font-Bold="true" Text="Configuració "  />
        </p>
    </div>
    <div class="divTimeUpdate" >
        <asp:Label ID="lbTimeUpdate" runat="server" Text="Interval de temps d'actualització: " />
        <asp:DropDownList ID="ddlTimeUpdate" runat="server" />
    </div>
    <div class="divConf">
        <asp:Table ID="tableConf" runat="server">
            <asp:TableRow>
                <asp:TableCell Width="400" HorizontalAlign="Center">
                    <fieldset class="fieldConf">
                        <legend> Usuari d'accés als servidors </legend>
                        <asp:Table ID="TbAdmin" runat="server">
                            <asp:TableRow Height="20" ><asp:TableCell ColumnSpan="2" /></asp:TableRow>
                            <asp:TableRow Height="50" VerticalAlign="Middle">
                                <asp:TableCell HorizontalAlign="Right">
                                    <asp:Label ID="lbNameAdmin" runat="server" Width="100" Text="Usuari: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbNameAdmin" MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow Height="50" VerticalAlign="Middle">
                                <asp:TableCell HorizontalAlign="Right">
                                    <asp:Label ID="lbPasswordAdmin" runat="server" Width="100" Text="Contrasenya: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbPasswordAdmin" TextMode="Password"
                                                 MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow Height="50" VerticalAlign="Middle">
                                <asp:TableCell HorizontalAlign="Right">
                                    <asp:Label ID="lbDomainAdmin" runat="server" Width="100" Text="Domini: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbDomainAdmin" MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </fieldset>
                </asp:TableCell>
                <asp:TableCell Width="400" HorizontalAlign="Center">
                    <fieldset class="fieldConf">
                        <legend> Zones de servidors </legend>
                        <asp:Table runat="server">
                            <asp:TableRow Height="30" VerticalAlign="Bottom">
                                 <asp:TableCell Width="30" HorizontalAlign="Center">
                                   <asp:Label ID="lbNwZone" runat="server" Width="100" Text="Nova zona: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbNewZone" MaxLength="90" runat="server" Width="200" />                      
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow Height="50" VerticalAlign="Middle" runat="server">
                                <asp:TableCell ColumnSpan="2">
                                          <asp:Button ID="nNewZone" runat="server" Text="Afegir" onclick="bNewZone_Click" />
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow>
                                <asp:TableCell runat="server" Height="60" 
                                               VerticalAlign="Middle" HorizontalAlign="Center">
                                     <asp:DropDownList ID="ddlZones" runat="server" AutoPostBack="true"
                                                        onselectedindexchanged="ddlZones_SelectedIndexChanged" />
                                </asp:TableCell>   
                                <asp:TableCell>
                                    <asp:TextBox ID="tbEditZone" MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>                              
                            </asp:TableRow>
                            <asp:TableRow ID="tbRowbModZone" VerticalAlign="Top" runat="server">
                                <asp:TableCell ColumnSpan="2">
                                       <asp:Button ID="bModZone" runat="server" Text="Modificar" onclick="bEditZone_Click" />
                                </asp:TableCell>
                            </asp:TableRow>                                                               
                        </asp:Table>
                    </fieldset>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
                <asp:TableCell Width="400" HorizontalAlign="Center">
                     <fieldset class="fieldConf">
                        <legend> Servidor de correu </legend>
                        <asp:Table ID="tbEmail" runat="server">
                            <asp:TableRow Height="20" >
                                <asp:TableCell ColumnSpan="2" />
                            </asp:TableRow>
                            <asp:TableRow VerticalAlign="Middle">
                                <asp:TableCell HorizontalAlign="Right">
                                    <asp:Label ID="lbServers" runat="server" Width="100" Text="Nom/IP del servidor SMTP: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbServer" MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow  VerticalAlign="Middle">
                                <asp:TableCell HorizontalAlign="Right">
                                    <asp:Label ID="lbUserSMTP" runat="server" Width="100" Text="Usuari: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbUserSMTP" MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow VerticalAlign="Middle">
                                <asp:TableCell HorizontalAlign="Right">
                                    <asp:Label ID="lbPwdSMTP" runat="server" Width="100" Text="Contrasenya: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbPwdSMTP" TextMode="Password"
                                                 MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow VerticalAlign="Middle" Height="40">
                                <asp:TableCell HorizontalAlign="Right" VerticalAlign="Bottom" >
                                    <asp:Label ID="lbEmailTest" runat="server" Width="100" Text="EmailTest: " />
                                </asp:TableCell>
                                <asp:TableCell VerticalAlign="Bottom">
                                    <asp:TextBox ID="tbEmailTest" MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow Height="50" runat="server" ID="tbrBSMTP" VerticalAlign="Middle" HorizontalAlign="Center">
                                <asp:TableCell ColumnSpan="2">
                                    <asp:Button ID="bSendEmail" runat="server" Text="Enviar mail de prova" onclick="bSendEmail_Click" />
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </fieldset>
                </asp:TableCell>
                <asp:TableCell Width="400" HorizontalAlign="Center">
                    <fieldset class="fieldConf">
                        <legend> Grups d'usuaris </legend>
                        <asp:Table ID="TbUsers" runat="server">
                            <asp:TableRow Height="30" VerticalAlign="Bottom">
                                 <asp:TableCell Width="30" HorizontalAlign="Center">
                                   <asp:Label ID="lbNewGroup" runat="server" Width="100" Text="Nou grup: " />
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:TextBox ID="tbNewGroup" MaxLength="90" runat="server" Width="200" />                      
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow ID="tbrNewGroup" Height="50" VerticalAlign="Middle" runat="server">
                                <asp:TableCell ColumnSpan="2">
                                    <asp:Button ID="bNewGroup" runat="server" Text="Afegir" onclick="bNewGroup_Click" /> 
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow>
                                <asp:TableCell ID="tbcellDDl" runat="server" Height="60" 
                                               VerticalAlign="Middle" HorizontalAlign="Center">
                                     <asp:DropDownList ID="ddlGroups" runat="server" AutoPostBack="true"
                                                        onselectedindexchanged="ddlGroups_SelectedIndexChanged" /> 
                                </asp:TableCell>   
                                <asp:TableCell>
                                    <asp:TextBox ID="tbEditGroup" MaxLength="90" runat="server" Width="200" />
                                </asp:TableCell>                              
                            </asp:TableRow>
                            <asp:TableRow ID="trModGroup" VerticalAlign="Top" runat="server">
                                <asp:TableCell ColumnSpan="2">
                                       <asp:Button ID="bEditGroup" runat="server" Text="Modificar" onclick="bEditGroup_Click" />   
                                </asp:TableCell>
                            </asp:TableRow>                                                               
                        </asp:Table>
                    </fieldset>
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow>
              <asp:TableCell HorizontalAlign="Center" ColumnSpan="2">
                    <asp:Button ID="bSave" runat="server" Text="Guardar" onclick="bSave_Click" />
                    <asp:Label ID="lb" Width="50" runat="server" />
                    <asp:Button ID="bExit" runat="server" Text="Sortir" onclick="bExit_Click" />
                </asp:TableCell></asp:TableRow><asp:TableRow Height="40" VerticalAlign="Bottom">
                <asp:TableCell HorizontalAlign="Center" VerticalAlign="Bottom" ColumnSpan="2">
                    <asp:Label ID="lbResult" runat="server" />
                </asp:TableCell>
            </asp:TableRow>
        </asp:Table>
    </div>
 </asp:Content>