﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public interface IAlarmDAL
    {
        bool NewAlarm(int _serverServiceId, int _userId);
        Alarm GetAlarmById(int _alarmId);

        bool AlarmLastHourForUser(int _serverServiceId, int _userId);

        List<Alarm> GetAlarmsForUser(int _userId);
        List<Alarm> GetAlarmsUnreadForUser(int _userId);

        bool ReadAlarm(int _alarmId);
    }
}
