﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public interface IServerServiceDAL
    {
        int GetServerServiceId(int _serverId, int _serviceId);        

        int GetServiceOfServerAndServerServiceId(int _serverId, int _serverServiceId);

        int GetServiceByServerServiceId(int _serverServiceId);

        int GetServerByServerServiceId(int _serverServiceId);

        int MaxServerServiceId();

        bool AddServerService(int _serverId, int _serviceId);

        bool ActiveServerService(int _serverId, int _serviceId);

        bool InactiveServerService(int _serverId, int _serviceId);
        
        List<ServerService> GetServerServicesByServer(int _serverId);
    }
}
