﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public interface IViewDAL
    {
        List<vAlerts> GetAlarmsUnreadByUserId(int _userId);
        vAlert GetAlarm(int _alarmId);

        List<vServers> GetServersByUserId(int _userId);
        vServer GetViewServer(int _serverId, int _userId);

        List<vRealTimeServer> GetViewRealTimeServer(int _serverId, int _userId);
        List<vUsers> GetViewUsers();

        List<vPermission> GetServicesUnassigned(int _serverId, int _userId);
        List<vPermission> GetServicesAssigned(int _serverId, int _userId);

        List<vServerList> GetViewServerList(int _userId);

        List<vHistory> GetHistoryByServerServiceId(int _serverId, int _serviceId);
    }
}
