﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public class AccessLog
    {
        private DateTime date;
        private int userId;
        private string action;

        public AccessLog()
        { 
        }

        //Complet event
        public AccessLog(DateTime _date, int _userId, string _action)
        {
            this.date = _date;
            this.userId = _userId;
            this.action = _action;
        }

        //Event
        public AccessLog(int _userId, string _action)
        {
            this.date = DateTime.Now;
            this.userId = _userId;
            this.action = _action;
        }

        //System events
        public AccessLog(string _action)
        {
            this.date = DateTime.Now;
            this.userId = 0;
            this.action = _action;
        }

        public DateTime Date
        {
            get { return this.date;  }
            set { this.date = value; }
        }

        public int UserId
        {
            get { return this.userId;  }
            set { this.userId = value; }
        }

        public string Action
        {
            get { return this.action;  }
            set { this.action = value; } 
        }

    }
}
