﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public class Configuration
    {

        private string domainAdminUser;
        private string domainPwdUser;
        private string domain;
        private string serverSMTP;
        private string userSMTP;
        private string pwdSMTP;
        private int timeUpdate;
        private int maxTimeCPU;
        private int maxMemoryUsage;
        private int maxHddUsage;
        private int maxTimeOut;
        private string pathLog;

        public Configuration()
        {
        }

        public Configuration(string _domainAdminUser, string _domainPwdUser, string _domain,
                             string _serverSMTP, string _userSMTP, string _pwdSMTP,
                             int _timeUpdate, int _maxTimeCPU, int _maxMemoryUsage,
                             int _maxHddUsage, int _maxTimeOut, string _pathLog)
        {
            this.domainAdminUser = _domainAdminUser;
            this.domainPwdUser = _domainPwdUser;
            this.domain = _domain;
            this.serverSMTP = _serverSMTP;
            this.userSMTP = _userSMTP;
            this.pwdSMTP = _userSMTP;
            this.timeUpdate = _timeUpdate;
            this.maxTimeCPU = _maxTimeCPU;
            this.maxMemoryUsage = _maxMemoryUsage;
            this.maxHddUsage = _maxHddUsage;
            this.maxTimeOut = _maxTimeOut;
            this.pathLog = _pathLog;
        }


        public string DomainAdminUser
        {
            get { return this.domainAdminUser;  }
            set { this.domainAdminUser = value; }
        }

        public string DomainPwdUser
        {
            get { return this.domainPwdUser; }
            set { this.domainPwdUser = value; }
        }

        public string Domain
        {
            get { return this.domain; }
            set { this.domain = value; }
        }

        public string ServerSMTP
        {
            get { return this.serverSMTP; }
            set { this.serverSMTP = value; }
        }

        public string UserSMTP
        {
            get { return this.userSMTP; }
            set { this.userSMTP = value; }
        }

        public string PwdSMTP
        {
            get { return this.pwdSMTP; }
            set { this.pwdSMTP = value; }
        }

        public int TimeUpdate
        {
            get { return this.timeUpdate; }
            set { this.timeUpdate = value; }
        }

        public int MaxTimeCPU
        {
            get { return this.maxTimeCPU; }
            set { this.maxTimeCPU = value; }
        }

        public int MaxMemoryUsage
        {
            get { return this.maxMemoryUsage; }
            set { this.maxMemoryUsage = value; }
        }

        public int MaxHddUsage
        {
            get { return this.maxHddUsage; }
            set { this.maxHddUsage = value; }
        }

        public int MaxTimeOut
        {
            get { return this.maxTimeOut; }
            set { this.maxTimeOut = value; }
        }

        public string PathLog
        {
            get { return this.pathLog; }
            set { this.pathLog = value; }
        }
    }
}
