﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{

    public class Server
    {

        private int id;
        private string name;
        private string description;
        private string dnsname;
        private string ip;
        private int zone_id;
        private int userOwner;
        private int memory;
        private int cpu;
        private int hdd;
        private bool critic;
        private DateTime startDate;
        private DateTime endDate;
        private string zone;
        private string critical;

        //Empty constructor
        public Server()
        {
        }

        // Complet constructor
        public Server(int _id, string _name, string _description, string _dnsname,
                        string _ip, int _zone_id, int _userOwner, int _memory, int _cpu, int _hdd,
                        bool _critic, DateTime _startDate, DateTime _endDate)
        {

            this.id = _id;
            this.name = _name;
            this.description = _description;
            this.dnsname = _dnsname;
            this.ip = _ip;
            this.zone_id = _zone_id;
            this.userOwner = _userOwner;
            this.memory = _memory;
            this.cpu = _cpu;
            this.hdd = _hdd;
            this.critic = _critic;
            this.startDate = _startDate;
            this.endDate = _endDate;
        }

        // Constructor
        public Server(string _name, string _description, string _dnsname,
                        string _ip, int _zone_id, int _userOwner, int _memory,
                        int _cpu, int _hdd, bool _critic)
        {

            this.name = _name;
            this.description = _description;
            this.dnsname = _dnsname;
            this.ip = _ip;
            this.zone_id = _zone_id;
            this.userOwner = _userOwner;
            this.memory = _memory;
            this.cpu = _cpu;
            this.hdd = _hdd;
            this.critic = _critic;
        }

        // Constructor
        public Server(int _id, string _name, string _zone, string _critical)
        {

            this.id = _id;
            this.name = _name;
            this.zone = _zone;
            this.critical = _critical;

        }

        // Server id
        public int Id
        {
            get { return this.id; }
            set { this.id = value; }
        }

        // Server name
        public string Name
        {
            get { return this.name; }
            set { this.name = value; }
        }

        // Server description
        public string Description
        {
            get { return this.description; }
            set { this.description = value; }
        }

        // Main dnsname 
        public string DnsName
        {
            get { return this.dnsname; }
            set { this.dnsname = value; }
        }

        // Main server Ip
        public string Ip
        {
            get { return this.ip; }
            set { this.ip = value; }
        }

        // Id of server zone
        public int ZoneId
        {
            get { return this.zone_id; }
            set { this.zone_id = value; }
        }

        // Id of user server owner
        public int UserOwner
        {
            get { return this.userOwner; }
            set { this.userOwner = value; }
        }

        // Total of memory server
        public int Memory
        {
            get { return this.memory; }
            set { this.memory = value; }
        }

        // Number of server CPU
        public int CPU
        {
            get { return this.cpu; }
            set { this.cpu = value; }
        }

        // Number of server HDD
        public int HDD
        {
            get { return this.hdd; }
            set { this.hdd = value; }
        }

        // Inform if this server is critical or not
        public bool Critic
        {
            get { return this.critic; }
            set { this.critic = value; }
        }

        // DateTime of server creation
        public DateTime StartDate
        {
            get { return this.startDate; }
            set { this.startDate = value; }
        }


        // DateTime of server disbale
        public DateTime EndDate
        {
            get { return this.endDate; }
            set { this.endDate = value; }
        }


        // Inform the name of zone
        public string Zone
        {
            get { return this.zone; }
            set { this.zone = value; }
        }

        // Inform name of critical
        public string Critical
        {
            get { return this.critical; }
            set { this.critical = value; }
        }

    }
}