﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework
{
    public class User
    {

        private int user_id;
        private string username;
        private string password;
        private string name;
        private string email;
        private bool sendEmail;
        private string twitter;
        private bool sendTwitter;
        private string sms;
        private bool sendSMS;
        private string telephone;
        private int group_id;
        private DateTime startDate;
        private DateTime endDate;
        private string comments;

        public User()
        {
        }

        public User (int _user_id, string _username, string _password,
                     string _name, string _email, bool _sendEmail, string _twitter,
                     bool _sendTwitter, string _sms, bool _sendSMS, string _telephone,
                     int _group_id, DateTime _startDate, DateTime _endDate, string _comments)
        {

            this.user_id = _user_id;
            this.username = _username;
            this.password = _password;
            this.name = _name;
            this.email = _email;
            this.sendEmail = _sendEmail;
            this.twitter = _twitter;
            this.sendTwitter = _sendTwitter;
            this.sms = _sms;
            this.sendSMS = _sendSMS;
            this.telephone = _telephone;
            this.group_id = _group_id;
            this.startDate = _startDate;
            this.endDate = _endDate;
            this.comments = _comments;
        }

        public User(int _user_id, string _username, string _name,
                    string _email, bool _sendEmail, string _twitter,
                    bool _sendTwitter, string _sms, bool _sendSMS, string _telephone)
        {
            this.user_id = _user_id;
            this.username = _username;
            this.name = _name;
            this.email= _email;
            this.sendEmail = _sendEmail;
            this.twitter = _twitter;
            this.sendTwitter = _sendTwitter;
            this.sms = _sms;
            this.sendSMS = _sendSMS;
            this.telephone = _telephone;
        }

        public User(int _user_id, string _username, string _password,
                    int _group_id, DateTime _startDate)
        {

            this.user_id = _user_id;
            this.username = _username;
            this.password = _password;
            this.group_id = _group_id;
            this.startDate = _startDate;
        }


        public int UserId
        {
            get { return this.user_id;  }
            set { this.user_id = value; }
        }

        public string UserName
        {
            get { return this.username; }
            set { this.username = value; }
        }

        public string Password
        {
            get { return this.password; }
            set { this.password = value; }
        }

        public string Name
        {
            get { return this.name; }
            set { this.name = value; }
        }

        public string Email
        {
            get { return this.email; }
            set { this.email = value; }
        }

        public bool SendEmail
        {
            get { return this.sendEmail; }
            set { this.sendEmail = value; }
        }

        public string Twitter
        {
            get { return this.twitter; }
            set { this.twitter = value; }
        }

        public bool SendTwitter
        {
            get { return this.sendTwitter; }
            set { this.sendTwitter = value; }
        }

        public string SMS
        {
            get { return this.sms; }
            set { this.sms = value; }
        }

        public bool SendSMS
        {
            get { return this.sendSMS; }
            set { this.sendSMS = value; }
        }

        public string Telephone
        {
            get { return this.telephone; }
            set { this.telephone = value; }
        }

        public int GroupId
        {
            get { return this.group_id; }
            set { this.group_id = value; }
        }

        public DateTime StartDate
        {
            get { return this.startDate; }
            set { this.startDate = value; }
        }

        public DateTime EndDate
        {
            get { return this.endDate; }
            set { this.endDate = value; }
        }

        public string Comments
        {
            get { return this.comments; }
            set { this.comments = value; }
        }

    }
}
