﻿<%@ Page Title="Iniciar sesión" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Login.aspx.cs" Inherits="ServerMonitorWeb.Account.Login" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <div class="titlePage">
        <h2>
            Iniciar sessió
        </h2>
    </div>
    <div class="subTitlePage">
        <p>
           <asp:Image ID="ImgLogin" runat="server" Height="80px" 
                ImageUrl="~/img/User-Green.png" Width="80px" />
           &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           <asp:Label ID="subTitle" runat="server" Text="Especifiqueu el nom d'usuari i contrasenya:"  />
        </p>
    </div>
    <div class="loginUser">
        <asp:Login ID="LoginUser" runat="server" EnableViewState="false" RenderOuterTable="false">
            <LayoutTemplate>
                <span class="failureNotification">
                    <asp:Literal ID="FailureText" runat="server"></asp:Literal>
                </span>
                <asp:ValidationSummary ID="LoginUserValidationSummary" runat="server" CssClass="failureNotification" 
                     ValidationGroup="LoginUserValidationGroup"/>
                <div>
                    <fieldset>
                        <legend>Informació del compte</legend>
                        <p>
                            <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Nom d'usuari:</asp:Label>
                            <asp:TextBox ID="UserName" runat="server" CssClass="textEntry"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                                 CssClass="failureNotification" ErrorMessage="El nom d'usuari és obligatori." ToolTip="El nom d'usuari és obligatori." 
                                 ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>
                        </p>
                        <p>
                            <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Contrasenya:</asp:Label>
                            <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" 
                                TextMode="Password"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
                                 CssClass="failureNotification" ErrorMessage="La contrasenya és obligatòria." ToolTip="La contrasenya és obligatòria." 
                                 ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>
                        </p>
                    </fieldset>
                    <div runat="server" class="submitButton">
                        <asp:Button ID="LoginButton" runat="server" CommandName="ValidateLogin" 
                            Text="Iniciar sessió" ValidationGroup="LoginUserValidationGroup" 
                            onclick="LoginButton_Click"/>
                     </div>
                </div>
            </LayoutTemplate>
        </asp:Login>
            <asp:Table runat="server" Width="399px">
            <asp:TableRow Height="50" VerticalAlign="Middle">
                <asp:TableCell HorizontalAlign="Center">
                    <asp:Button ID="bNewPassword" runat="server" BorderStyle="None" onclick="newPassword"
                            Text="Restablir contrasenya" BackColor="White" ForeColor="Blue" 
                            Width="360px" />                        
                </asp:TableCell>
            </asp:TableRow>
            <asp:TableRow Height="50" VerticalAlign="Middle">
                <asp:TableCell HorizontalAlign="Center">
                    <asp:Label ID="lbNewPasswordResult" runat="server" />
                </asp:TableCell></asp:TableRow></asp:Table></div></asp:Content>