﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ConfigAlerts.aspx.cs" Inherits="ServerMonitorWeb.Config.Alerts.ConfigAlerts" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="titlePage">
    </div>
    <div class="subTitlePage">
        <p>
           <asp:Image ID="ImgServices" runat="server" Height="80px" 
                ImageUrl="~/img/Process-Info.png" Width="80px" />
           &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           <asp:Label ID="subTitle" runat="server"  Font-Size="X-Large" Font-Bold="true" Text="Gestió de serveis i alertes "  />
        </p>
    </div>
    <div class="dataBindServices">
    <asp:Table runat="server" ID="tableServices">
        <asp:TableRow VerticalAlign="Top">
            <asp:TableCell>
                <asp:GridView ID="GridViewServices" runat="server" AutoGenerateColumns="False" 
                    CellPadding="4" ForeColor="#333333" GridLines="None" AllowPaging="true" PageSize="5"
                    onrowdatabound="GridViewServices_RowDataBound" SortedAscendingHeaderStyle-Wrap="True"
                    OnPageIndexChanging="GridViewServices_PageIndexChanging">
                    <AlternatingRowStyle BackColor="White" />
                    <Columns>
                        <asp:BoundField HeaderText="Id" Visible="False" />
                        <asp:BoundField HeaderText="Servei" />
                        <asp:BoundField HeaderText="Descripció" />
                        <asp:BoundField HeaderText="Resolució" />
                        <asp:BoundField />
                    </Columns>
                    <EditRowStyle BackColor="#2461BF" />
                    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
                    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
                    <RowStyle BackColor="#EFF3FB" />
                    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
                    <SortedAscendingCellStyle BackColor="#F5F7FB" />
                    <SortedAscendingHeaderStyle BackColor="#6D95E1" />
                    <SortedDescendingCellStyle BackColor="#E9EBEF" />
                    <SortedDescendingHeaderStyle BackColor="#4870BE" />
                </asp:GridView>
            </asp:TableCell>
            <asp:TableCell HorizontalAlign="Center">
                <fieldset class="fieldSetConf">
                    <legend> Configuració </legend>
                    <asp:Table runat="server" ID="tableConf" Width="250">
                    <asp:TableRow Height="50">
                        <asp:TableCell Width="150" HorizontalAlign="Right" VerticalAlign="Middle">
                            <asp:Label ID="lbCPU" runat="server" Text="Temps de CPU al 100% " />
                        </asp:TableCell>
                        <asp:TableCell Width="80" HorizontalAlign="Left" VerticalAlign="Middle">
                            <asp:DropDownList ID="ddlCPU" runat="server" />
                            <asp:Label ID="lbDdlCPU" runat="server" Text="   minuts" />
                        </asp:TableCell>
                    </asp:TableRow>
                    <asp:TableRow Height="50">
                        <asp:TableCell Width="150" HorizontalAlign="Right" VerticalAlign="Middle">
                            <asp:Label ID="lbMemory" runat="server" Text="Mínim de memòria disponible " />
                        </asp:TableCell>
                        <asp:TableCell Width="80" HorizontalAlign="Left" VerticalAlign="Middle">
                            <asp:DropDownList ID="ddlMemory" runat="server" />
                            <asp:Label ID="lbDdlMemory" runat="server" Text="  %" />
                        </asp:TableCell>
                    </asp:TableRow>
                    <asp:TableRow Height="50">
                        <asp:TableCell Width="150" HorizontalAlign="Right" VerticalAlign="Middle">
                            <asp:Label ID="lbHDD" runat="server" Text="Mínim d'espai disponible " />
                        </asp:TableCell>
                        <asp:TableCell Width="80" HorizontalAlign="Left" VerticalAlign="Middle">
                            <asp:DropDownList ID="ddlHDD" runat="server" />
                            <asp:Label ID="lbDdlHDD" runat="server" Text="   %" />
                        </asp:TableCell>
                    </asp:TableRow>
                    <asp:TableRow Height="50">
                        <asp:TableCell Width="150" HorizontalAlign="Right" VerticalAlign="Middle">
                            <asp:Label ID="lbNetwork" runat="server" Text="Errors de connectivitat continus (TimeOut) " />
                        </asp:TableCell><asp:TableCell Width="80" HorizontalAlign="Left" VerticalAlign="Middle">
                            <asp:DropDownList ID="ddlNetwork" runat="server" />
                            <asp:Label ID="lbDdlNetwork" runat="server" Text="   errors" />
                        </asp:TableCell>
                    </asp:TableRow>
                    <asp:TableRow Height="50">
                        <asp:TableCell HorizontalAlign="Center" VerticalAlign="Middle" Height="30">
                            <asp:Button ID="bSave" runat="server" Text="Guardar" onclick="bSave_Click" />
                        </asp:TableCell><asp:TableCell HorizontalAlign="Center" VerticalAlign="Middle" Height="30">
                            <asp:Button ID="bExit" runat="server" Text="Sortir" onclick="bExit_Click" />
                        </asp:TableCell>
                    </asp:TableRow>
        <asp:TableRow>
            <asp:TableCell ColumnSpan="2" HorizontalAlign="Center">
                <asp:Label ID="lbResult" runat="server" />
            </asp:TableCell></asp:TableRow></asp:Table>
                </fieldset>
            </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
</div>
</asp:Content>