﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="EditServer.aspx.cs" Inherits="ServerMonitorWeb.Config.Servers.EditServer" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="subTitlePage">
        <p>
           <asp:Image ID="ImgServer" runat="server" Height="80px" 
                ImageUrl="~/img/Home-Server.png" Width="80px" />
           &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           <asp:Label ID="subTitle" runat="server"  Font-Size="X-Large" Font-Bold="true" Text="Modificar Servidor "  />
        </p>
    </div>
    <asp:Table ID="TbNewServer" runat="server" Width="800" HorizontalAlign="Center" >
        <asp:TableRow>
            <asp:TableCell ColumnSpan="2">
                <asp:ValidationSummary ID="NewServerValidationSummary" runat="server" CssClass="failureNotification" 
                     ValidationGroup="NewServerValidationGroup"/>
                <fieldset id="Fieldset1" runat="server" class="fieldSetServerInfo">
                    <legend id="Legend1" runat="server">Server Info</legend>
                    <asp:Table ID="TableServerInfo" Width="700" runat="server">
                        <asp:TableRow>
                            <asp:TableCell ID="tbc11" runat="server" Width="100">
                                <asp:Label runat="server" ID="lbName" Text="Nom: " />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc12" runat="server" Width="150">
                                <asp:TextBox runat="server" ID="tbName" Width="150" MaxLength="90" />
                                <asp:RequiredFieldValidator ID="ServerNameRequired" runat="server" ControlToValidate="tbName" 
                                 CssClass="failureNotification" ErrorMessage="El nom del servidor és obligatori." ToolTip="El nom del servidor és obligatori." 
                                 ValidationGroup="NewServerValidationGroup">*</asp:RequiredFieldValidator>
                            </asp:TableCell>
                            <asp:TableCell ID="tbc13" runat="server" Width="100">
                                <asp:Label runat="server" ID="lbZone" Text="Zona: " />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc14" runat="server" Width="200">
                               <asp:DropDownList runat="server" ID="ddlZone" Width="150" />
                            </asp:TableCell>                        
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell ID="tbc21" runat="server" Width="100">
                                <asp:Label runat="server" ID="lbDNS" Text="DNS: " />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc22" runat="server" Width="150">
                                <asp:TextBox runat="server" ID="tbDNS" Width="150" MaxLength="90" />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc23" runat="server" Width="100">
                                <asp:Label runat="server" ID="lbCritic" Text="Criticitat: " />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc24" runat="server" Width="200">
                               <asp:DropDownList runat="server" ID="ddlCritic" Width="100" />
                            </asp:TableCell>                        
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell ID="tbc31" runat="server" Width="100">
                                <asp:Label runat="server" ID="lbIP" Text="IP: " />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc32" runat="server" Width="150">
                                <asp:TextBox runat="server" ID="tbIP" Width="100" MaxLength="15" />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc33" runat="server" Width="100">
                                <asp:Label runat="server" ID="lbOwner" Text="Responsable: " />
                            </asp:TableCell>
                            <asp:TableCell ID="tbc34" runat="server" Width="200">
                               <asp:DropDownList runat="server" ID="ddlOwner" Width="190" />
                            </asp:TableCell>                        
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell VerticalAlign="Top">
                                <asp:Label runat="server" ID="lbDescription" Text="Descripció: " />
                            </asp:TableCell>
                            <asp:TableCell RowSpan="2" ColumnSpan="3">
                                <asp:TextBox runat="server" ID="tbDescription" MaxLength="245"
                                             Wrap="true" Width="520" TextMode="MultiLine" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow />
                    </asp:Table>
                </fieldset>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow>
            <asp:TableCell Width="300" HorizontalAlign="Justify" >
                <fieldset>
                    <legend> Hardware </legend>
                    <asp:Table ID="TableHardware" runat="server" Height="120">
                        <asp:TableRow>
                            <asp:TableCell Width="200">
                                <asp:Label runat="server" ID="lbNetwork" Text="Dispositud de xarxa: " />
                            </asp:TableCell>
                            <asp:TableCell Width="50">
                                <asp:CheckBox ID="s_101" runat="server" Checked="true" Enabled="false" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell Width="200">
                                <asp:Label runat="server" ID="lbMemory" Text="Memòria: " />
                            </asp:TableCell>
                            <asp:TableCell Width="50">
                                <asp:DropDownList ID="ddlMemory" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell Width="200">
                                <asp:Label runat="server" ID="lbCPU" Text="CPU's: " />
                            </asp:TableCell>
                            <asp:TableCell Width="50">
                                <asp:DropDownList ID="ddlCPU" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell Width="200">
                                <asp:Label runat="server" ID="lbHDD" Text="Unitats de disc dur: " />
                            </asp:TableCell>
                            <asp:TableCell Width="50">
                                <asp:DropDownList ID="ddlHDD" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </fieldset>
            </asp:TableCell>
            <asp:TableCell Width="600" HorizontalAlign="Justify" >
                <fieldset>
                    <legend> Serveis </legend>
                    <asp:CheckBoxList ID="CheckBoxListServices" runat="server" Height="120" />
                </fieldset>
            </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
    <asp:Table ID="TableButtons" runat="server"  Width="500" HorizontalAlign="Center">
        <asp:TableRow>
            <asp:TableCell HorizontalAlign="Center">
                <asp:Button ID="bSave" 
            runat="server" Text="Modificar" onclick="bSave_Click" />
            </asp:TableCell>
            <asp:TableCell Width="50" />
            <asp:TableCell HorizontalAlign="Left">
                <asp:Button ID="bExit" 
            runat="server" Text="Sortir" onclick="bExit_Click" ValidationGroup="NewServerValidationGroup" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow>
            <asp:TableCell ColumnSpan="3">
                <asp:Label ID="lbResult" runat="server" />
            </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
</asp:Content>
