﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="NewUser.aspx.cs" Inherits="ServerMonitorWeb.Config.Users.NewUser" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="titlePage">
    </div>
    <div class="subTitlePage">
        <p>
           <asp:Image ID="ImgLogin" runat="server" Height="80px" 
                ImageUrl="~/img/User-New.png" Width="80px" />
           &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
           <asp:Label ID="subTitle" runat="server"  Font-Size="X-Large" Font-Bold="true" Text="Nou Usuari "  />
        </p>
    </div>
    <div class="NewUser">
    <asp:Table ID="tableNewUser" runat="server" Width="850px">
        <asp:TableRow Height="60">
            <asp:TableCell>
                <asp:Label ID="lbUserName" runat="server" Text="Nom: " />
            </asp:TableCell>
            <asp:TableCell ColumnSpan="3">
                <asp:TextBox ID="tbUserName" runat="server" Width="330" MaxLength="90" />
                <asp:RequiredFieldValidator ID="tbUserNameRequired" runat="server" ControlToValidate="tbUserName" 
                            ErrorMessage="El nom d'usuari és obligatori." CssClass="failureNotification"
                            ToolTip="El nom d'usuari és obligatori." Text="*" 
                            EnableClientScript="true" SetFocusOnError="true" />
            </asp:TableCell>
            <asp:TableCell RowSpan="5" Width="350" VerticalAlign="Top">
                <fieldset>
                <legend>Accés a la aplicació</legend>
                <asp:Table ID="tableAccesUser" runat="server">
                    <asp:TableRow>
                        <asp:TableCell CssClass="padding-loginUser">
                            <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Text="Nom d'usuari: " />
                        </asp:TableCell>
                        <asp:TableCell>
                            <asp:TextBox ID="UserName" runat="server" MaxLength="90" Width="140" />                    
                            <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                                                        ErrorMessage="El nom d'usuari és obligatori." CssClass="failureNotification"
                                                        ToolTip="El nom d'usuari és obligatori." Text="*" 
                                                        EnableClientScript="true" SetFocusOnError="true" />
                        </asp:TableCell>    
                    </asp:TableRow>
                    <asp:TableRow>
                        <asp:TableCell CssClass="padding-loginUser">
                            <asp:Label ID="PasswordLabel1" runat="server" AssociatedControlID="Password1" Text="Contrasenya: " />
                        </asp:TableCell>
                        <asp:TableCell>
                            <asp:TextBox ID="Password1" runat="server" TextMode="Password"  MaxLength="90" />
                            <asp:RequiredFieldValidator ID="PasswordRequired1" runat="server" ControlToValidate="Password1" 
                                                        ErrorMessage="La contrasenya és obligatòria." CssClass="failureNotification"
                                                        ToolTip="La contrasenya és obligatòria." Text="*"
                                                        EnableClientScript="true" SetFocusOnError="true" />
                        </asp:TableCell>
                    </asp:TableRow>
                    <asp:TableRow>
                        <asp:TableCell CssClass="padding-loginUser">
                            <asp:Label ID="PasswordLabel2" runat="server" AssociatedControlID="Password2" Text="Repetir contrasenya: " />
                        </asp:TableCell>
                        <asp:TableCell>
                            <asp:TextBox ID="Password2" runat="server" TextMode="Password" MaxLength="90" />
                            <asp:RequiredFieldValidator ID="PasswordRequired2" runat="server" ControlToValidate="Password2" 
                                                ErrorMessage="La segona contrasenya és obligatòria." CssClass="failureNotification"
                                                ToolTip="La contrasenya és obligatòria." Text="*" 
                                                EnableClientScript="true" SetFocusOnError="true"/>
                            <asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage="Les contrasenyes han de ser idèntiques." Text="*"
                                                 ControlToValidate="Password2" ControlToCompare="Password1" CssClass="failureNotification" />
                        </asp:TableCell>
                    </asp:TableRow>
                </asp:Table>
            </fieldset>

                <fieldset>
                <legend>Notificacions</legend>
                <asp:Table ID="tablaNotifications" runat="server">
                    <asp:TableRow>
                        <asp:TableCell CssClass="padding-loginUser">
                            <asp:CheckBox ID="cbEmail" runat="server" Text="eMail" Checked="false" />        
                        </asp:TableCell>
                        <asp:TableCell CssClass="padding-loginUser">
                            <asp:CheckBox ID="cbSMS" runat="server" Text="SMS" ToolTip="Sobrecost" Checked="false" />        
                        </asp:TableCell>
                        <asp:TableCell CssClass="padding-loginUser">
                            <asp:CheckBox ID="cbTwitter" runat="server" Text="Twitter" Checked="false" ToolTip="Recorda que has de seguir a @ServerMonUOC per a rebre les notificacions directes"  />        
                        </asp:TableCell>
                    </asp:TableRow>
                </asp:Table>
            </fieldset>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow Height="40">
            <asp:TableCell Width="100">
                <asp:Label ID="lbEmail" runat="server" Text="Email: " />
            </asp:TableCell>
            <asp:TableCell Width="150">
                <asp:TextBox ID="tbEmail" runat="server" MaxLength="90" Width="110" />
                <asp:RequiredFieldValidator ID="tbEmailValidator" runat="server" ControlToValidate="tbEmail" 
                            ErrorMessage="El email és obligatori." CssClass="failureNotification"
                            ToolTip="El email és obligatori" Text="*" 
                            EnableClientScript="true" SetFocusOnError="true" />
                <asp:regularexpressionvalidator id="revEmail" runat="server" ControlToValidate="tbEmail" 
                            ErrorMessage="Format de mail no vàlid" 
                            ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">**</asp:regularexpressionvalidator>
            </asp:TableCell>
            <asp:TableCell Width="80" HorizontalAlign="Right">
                <asp:Label ID="lbSMS" runat="server" Text="Telèfon SMS: " />
            </asp:TableCell>
            <asp:TableCell>
                <asp:TextBox ID="tbSMS" runat="server" MaxLength="9" Width="100" />
                <asp:regularexpressionvalidator id="Regularexpressionvalidator2" runat="server" ControlToValidate="tbSMS" 
                            ErrorMessage="Format de telèfon no vàlid" 
                            ValidationExpression="^\d+$">**</asp:regularexpressionvalidator>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow Height="40">
            <asp:TableCell>
                <asp:Label ID="lbTwitter" runat="server" Text="Twitter: "  />
            </asp:TableCell>
            <asp:TableCell>
                <asp:TextBox ID="tbTwitter" runat="server" MaxLength="90" Width="110" ToolTip="Recorda que has de seguir a @ServerMonUOC per a rebre les notificacions directes" />
                <asp:regularexpressionvalidator id="Regularexpressionvalidator1" runat="server" ControlToValidate="tbTwitter" 
                            ErrorMessage="Format de twitter no vàlid" 
                            ValidationExpression="^@.*">**</asp:regularexpressionvalidator>
            </asp:TableCell>
            <asp:TableCell HorizontalAlign="Right">
                <asp:Label ID="lbTelephone" runat="server" Text="Telèfon: " />
            </asp:TableCell>
            <asp:TableCell>
                 <asp:TextBox ID="tbTelephone" runat="server" MaxLength="15" Width="100" />
                 <asp:RequiredFieldValidator ID="tbTelephoneValidator" runat="server" ControlToValidate="tbTelephone" 
                            ErrorMessage="El telèfon és ncessari." CssClass="failureNotification"
                            ToolTip="El telèfon és necessaro." Text="*" 
                            EnableClientScript="true" SetFocusOnError="true" />
                 <asp:regularexpressionvalidator id="Regularexpressionvalidator3" runat="server" ControlToValidate="tbTelephone" 
                            ErrorMessage="Format de telèfon no vàlid" 
                            ValidationExpression="^\d+$">**</asp:regularexpressionvalidator>
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow Height="40">
            <asp:TableCell>
                <asp:Label ID="lbUserGroup" runat="server" Text="Grup d'usuaris: " />
            </asp:TableCell><asp:TableCell ColumnSpan="3">
                <asp:DropDownList ID="ddlUserGroup" runat="server" Width="200" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow Height="40">
            <asp:TableCell VerticalAlign="Top">
                <asp:Label ID="lbComments" runat="server" Text="Comentaris: " />
            </asp:TableCell><asp:TableCell ColumnSpan="3">
                <asp:TextBox ID="tbComments" runat="server" Wrap="true" Width="335" Height="70" MaxLength="254" TextMode="MultiLine" />
            </asp:TableCell>
        </asp:TableRow>
        <asp:TableRow>
            <asp:TableCell ColumnSpan="3" HorizontalAlign="Center" Height="70" VerticalAlign="Middle">
                <asp:Button ID="NewUserButton" runat="server"
                               Text="Crear usuari" onclick="NewUserButton_Click" />
            </asp:TableCell>
            <asp:TableCell>
                <asp:Button ID="bPermissions" runat="server" ValidationGroup="None"
                            Text="Assignar permisos" Enabled="false" onclick="bPermissions_Click" />
            </asp:TableCell>
            <asp:TableCell HorizontalAlign="Center">
                <asp:Label ID="lbResult" runat="server"  />
                <asp:ValidationSummary ID="NewUserValidationSummary" runat="server" HeaderText="Repassa els camps obligatoris"
                                   ShowMessageBox="false" DisplayMode="BulletList" ShowSummary="true" ForeColor="Red" />
            </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
</div>            
</asp:Content>